# class toResultContentEditor

This widget allows the user to browse the contents of a table and also edit the content. More...

Definition | `#include <toresultcontent.h>`
Inherits | QTable (qt) [public ], toEditWidget [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- void useNoReturning (bool use)
- toResultContentEditor (QWidget *parent,const char *name=NULL)
- ~toResultContentEditor ()
- virtual void query (const QString &,const toQList &)
- virtual void changeParams (const QString &Param1,const QString &Param2)
- virtual void editPrint (void)
- virtual bool editSave (bool ask)
- virtual void editReadAll (void)
- virtual void editSelectAll (void)
- virtual void setText (int row,int col,const QString &text)
- void changeFilter (bool all,const QString &criteria,const QString &order)
- bool allFilter ()
- virtual void exportData (std::map<QCString,QString> &data,const QCString &prefix)
- virtual void importData (std::map<QCString,QString> &data,const QCString &prefix)

#### Public Slots

- virtual void clearParams (void)
- virtual void changeSort (int col)
- void changePosition (int row,int col)
- virtual void displayMenu (const QPoint &p)
- virtual void displayMemo (void)
- virtual void saveUnsaved (void)
- virtual void deleteCurrent (void)
- virtual void addRecord (void)
- virtual void duplicateRecord (void)
- virtual void cancelEdit (void)
- virtual void gotoLastRecord (void)
- virtual void gotoFirstRecord (void)
- virtual void gotoPreviousRecord (void)
- virtual void gotoNextRecord (void)
- virtual void singleRecordForm (bool display)
- virtual void searchTop (void)
- virtual bool searchNext (toSearchReplace *search)
- virtual void searchReplace (const QString &newData)
- virtual bool searchCanReplace (bool all)

#### Signals

- void filterEnabled (bool)
- void changesSaved ()

#### Public Members

- friend class contentItem
- friend class toResultContent

#### Protected Slots

- virtual void menuCallback (int cmd)
- virtual void changeData (int row,int col,const QString &data)

## Detailed Description

This widget allows the user to browse the contents of a table and also edit the content. The table is specified by the first and second parameter in the query. The sql is not used in the query. Only for internal use.

void useNoReturning (bool use)

### useNoReturning

Indicate that editor should never use returning clauses even if this is oracle.

toResultContentEditor (QWidget *parent,const char *name=NULL)

### toResultContentEditor

Create the widget.

Parameters:

parent | Parent widget.
name | Name of widget.

~toResultContentEditor ()

### ~toResultContentEditor

Destruct object

void query (const QString &,const toQList &)

### query

[virtual]

Reimplemented for internal reasons.

void changeParams (const QString &Param1,const QString &Param2)

### changeParams

[virtual]

Reimplemented for internal reasons.

void editPrint (void)

### editPrint

[virtual]

Print this editor.

Reimplemented from toEditWidget.

bool editSave (bool ask)

### editSave

[virtual]

Reimplemented for internal reasons.

Reimplemented from toEditWidget.

void editReadAll (void)

### editReadAll

[virtual]

Reimplemented for internal reasons.

Reimplemented from toEditWidget.

void editSelectAll (void)

### editSelectAll

[virtual]

Select all contents. Default NOP.

Reimplemented from toEditWidget.

void setText (int row,int col,const QString &text)

### setText

[virtual]

Reimplemented for internal reasons.

void changeFilter (bool all,const QString &criteria,const QString &order)

### changeFilter

Set a new filter setting.

Parameters:

all | Apply filter to all tables, otherwise only for this table.
criteria | Criteria to filter on.
order | Order to read data on.

bool allFilter ()

### allFilter

Get information about if filter affect all tables.

friend class contentItem

### contentItem

friend class toResultContent

### toResultContent

void exportData (std::map<QCString,QString> &data,const QCString &prefix)

### exportData

[virtual]

Export data to a map.

Parameters:

data | A map that can be used to recreate the data of a chart.
prefix | Prefix to add to the map.

void importData (std::map<QCString,QString> &data,const QCString &prefix)

### importData

[virtual]

Import data

Parameters:

data | Data to read from a map.
prefix | Prefix to read data from.

void clearParams (void)

### clearParams

[virtual slot]

Erase last parameters

void changeSort (int col)

### changeSort

[virtual slot]

Change sorting column

Parameters:

col | Column selected to change as sorting.

void changePosition (int row,int col)

### changePosition

[slot]

Current cell changed.

Parameters:

row | New row.
col | New column.

void displayMenu (const QPoint &p)

### displayMenu

[virtual slot]

Display popup menu

Parameters:

p | Point to display popup at.

void displayMemo (void)

### displayMemo

[virtual slot]

Display editable memo viewer at current position.

void saveUnsaved (void)

### saveUnsaved

[virtual slot]

Save unsaved changes in the editor

void deleteCurrent (void)

### deleteCurrent

[virtual slot]

Delete the current row from the table.

void addRecord (void)

### addRecord

[virtual slot]

Add a new record to the table.

void duplicateRecord (void)

### duplicateRecord

[virtual slot]

Duplicate a new record for editing.

void cancelEdit (void)

### cancelEdit

[virtual slot]

Discard the changes made to the table.

void gotoLastRecord (void)

### gotoLastRecord

[virtual slot]

Goto the last record in the table.

void gotoFirstRecord (void)

### gotoFirstRecord

[virtual slot]

Goto the first record in the table.

void gotoPreviousRecord (void)

### gotoPreviousRecord

[virtual slot]

Goto the previous record in the table.

void gotoNextRecord (void)

### gotoNextRecord

[virtual slot]

Goto the next record in the table.

void singleRecordForm (bool display)

### singleRecordForm

[virtual slot]

Display single record form.

void searchTop (void)

### searchTop

[virtual slot]

Move to top of data

Reimplemented from toEditWidget.

bool searchNext (toSearchReplace *search)

### searchNext

[virtual slot]

Search for next entry

Returns: True if found, should select the found text.

Reimplemented from toEditWidget.

void searchReplace (const QString &newData)

### searchReplace

[virtual slot]

Replace entry with new data

Reimplemented from toEditWidget.

bool searchCanReplace (bool all)

### searchCanReplace

[virtual slot]

Check if data can be modified by search

Parameters:

all | If true can replace all, otherwise can replace right now.

Reimplemented from toEditWidget.

void filterEnabled (bool)

### filterEnabled

[signal]

Emitted to indicate wether a filter is used.

void changesSaved ()

### changesSaved

[signal]

void menuCallback (int cmd)

### menuCallback

[protected slots virtual slot]

Callback from popup menu.

Parameters:

cmd | Command ID.

void changeData (int row,int col,const QString &data)

### changeData

[protected slots virtual slot]

Change data at specified position.

Parameters:

row | Row to change.
col | Column to change.
data | New contents of data.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.